<template>
  <div id="app" class="app">
    <div class="objectsWrapper">
      <controls></controls>
      <left-side-objects></left-side-objects>
      <right-side-objects></right-side-objects>
      <game-over></game-over>
    </div>
    <seesaw></seesaw>
  </div>
</template>

<script>
import seesaw from './components/seesaw/seesaw';
import rightSideObjects from './components/rightSideObjects';
import leftSideObjects from './components/leftSideObjects';
import controls from './components/controls';
import gameOver from './components/gameOver';

export default {
  name: 'app',
  components: {
    seesaw,
    rightSideObjects,
    leftSideObjects,
    controls,
    gameOver
  }
}
</script>

<style lang="scss">
* {
  box-sizing: border-box;
}
html, body, .app {
  height: 100%;
  margin: 0;
  padding: 0;
  min-width: 800px;
}

body, button {
  font-family: monospace;
  font-size: 16px;
}

body {
  line-height: 1.5em;
}

.app {
  background-color: antiquewhite;
}
.objectsWrapper {
  height: 100%;
  padding-bottom: 110px;
  clear: both;
  overflow: hidden;
  width: 800px;
  margin: auto;
}
</style>
